
AddCSLuaFile( "cl_init.lua" )
AddCSLuaFile( "shared.lua" )
include( 'shared.lua' )

ENT.AmmoType = "metal"
ENT.AmmoName = "metal"
ENT.AmmoToGive = 15
ENT.PlyAmmoLimit = 200

function ENT:Initialize()
	self:SetMoveType( MOVETYPE_VPHYSICS )
	self:SetSolid( SOLID_VPHYSICS )
	self:PhysicsInit( SOLID_VPHYSICS )
	//self:SetCollisionGroup(11)
	self.initcur = CurTime() +0.1
	local phys = self:GetPhysicsObject()
	if (phys:IsValid()) then
		phys:Wake()
	end
	
	self.removedelay = CurTime() +30
end

function ENT:Think()
	if CurTime() > self.removedelay then
		self:Remove()
	end
end

function ENT:OnRemove()
end
